Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Class SAXResult

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXResult

All Implemented Interfaces:
  Result

public class SAXResult
extends java.lang.Object
implements Result

Collects the result of a SAX transform.

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell

Field Summary
`static java.lang.String` | `FEATURE` Used with TransformerFactory.getFeature() to determine whether the transformers it produces support SAXResult objects as outputs.

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SAXResult()`
`SAXResult(ContentHandler handler)`

Method Summary
`ContentHandler` | `getHandler()`
`LexicalHandler` | `getLexicalHandler()`
`java.lang.String` | `getSystemId()`
`void` | `setHandler(ContentHandler handler)`
`void` | `setLexicalHandler(LexicalHandler lexHandler)`
`void` | `setSystemId(java.lang.String systemID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  Used with TransformerFactory.getFeature() to determine whether the transformers it produces support SAXResult objects as outputs.

Constructor Detail

### SAXResult

    public SAXResult()

### SAXResult

    public SAXResult(ContentHandler handler)

Method Detail

### getHandler

    public ContentHandler getHandler()

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `Result`

### getLexicalHandler

    public LexicalHandler getLexicalHandler()

### setHandler

    public void setHandler(ContentHandler handler)

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Specified by:
    `setSystemId` in interface `Result`

### setLexicalHandler

    public void setLexicalHandler(LexicalHandler lexHandler)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.